## monkeysphere 0.41

=== Makefile ===
#!/usr/bin/make -f

# Makefile for monkeysphere

# © 2008-2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

MONKEYSPHERE_VERSION = `head -n1 Changelog | sed 's/.*(\([^-]*\)).*/\1/'`

# these defaults are for debian.  porters should probably adjust them
# before calling make install
ETCPREFIX ?= 
ETCSUFFIX ?= 
PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man
LOCALSTATEDIR ?= /var/lib

CFLAGS += $(shell libassuan-config --cflags)
CFLAGS += $(shell libgcrypt-config --cflags)
CFLAGS += --pedantic -Wall -Werror -std=c99
LIBS += $(shell libassuan-config --libs)
LIBS += $(shell libgcrypt-config --libs)

REPLACEMENTS = src/monkeysphere src/monkeysphere-host		\
src/monkeysphere-authentication src/share/defaultenv $(wildcard	\
src/transitions/*)

REPLACED_COMPRESSED_MANPAGES = $(addsuffix .gz,$(addprefix replaced/,$(wildcard man/*/*)))

all: src/agent-transfer/agent-transfer $(addprefix replaced/,$(REPLACEMENTS)) $(REPLACED_COMPRESSED_MANPAGES)

src/agent-transfer/agent-transfer: src/agent-transfer/main.c src/agent-transfer/ssh-agent-proto.h
	gcc -o $@ $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< $(LIBS)

debian-package:
	git buildpackage -uc -us

# don't explicitly depend on the tarball, since our tarball
# (re)generation is not idempotent even when no source changes.
freebsd-distinfo: 
	./utils/build-freebsd-distinfo

macports-portfile:
	./utils/build-macports-portfile

clean:
	rm -f src/agent-transfer/agent-transfer
	rm -rf replaced/
	# clean up old monkeysphere packages lying around as well.
	rm -f monkeysphere_*

replaced/%: %
	mkdir -p $(dir $@)
	sed < $< > $@ \
	-e 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' \
	-e 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' \
	-e 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):'

replaced/%.gz: replaced/%
	gzip -n $<

# this target is to be called from the tarball, not from the git
# working dir!
install: all installman
	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/sbin
	mkdir -p $(DESTDIR)$(PREFIX)/share/monkeysphere/m $(DESTDIR)$(PREFIX)/share/monkeysphere/mh $(DESTDIR)$(PREFIX)/share/monkeysphere/ma $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	mkdir -p $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	printf "Monkeysphere %s\n" $(MONKEYSPHERE_VERSION) > $(DESTDIR)$(PREFIX)/share/monkeysphere/VERSION
	install replaced/src/monkeysphere $(DESTDIR)$(PREFIX)/bin
	install replaced/src/monkeysphere-host $(DESTDIR)$(PREFIX)/sbin
	install replaced/src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0644 replaced/src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0755 src/share/checkperms $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0755 src/share/keytrans $(DESTDIR)$(PREFIX)/share/monkeysphere
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2pem
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2spki
	install -m 0755 src/agent-transfer/agent-transfer $(DESTDIR)$(PREFIX)/bin
	install -m 0744 replaced/src/transitions/* $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	install -m 0644 src/transitions/README.txt $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
	install -m 0644 Changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	install -d $(DESTDIR)$(PREFIX)/share/doc/monkeysphere/examples
	install -m 0644 examples/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere/examples
	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)

installman: $(REPLACED_COMPRESSED_MANPAGES)
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1 $(DESTDIR)$(MANPREFIX)/man7 $(DESTDIR)$(MANPREFIX)/man8
	install replaced/man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	install replaced/man/man7/* $(DESTDIR)$(MANPREFIX)/man7
	install replaced/man/man8/* $(DESTDIR)$(MANPREFIX)/man8
	ln -sf openpgp2ssh.1.gz $(DESTDIR)$(MANPREFIX)/man1/openpgp2pem.1.gz
	ln -sf openpgp2ssh.1.gz $(DESTDIR)$(MANPREFIX)/man1/openpgp2spki.1.gz

# this target depends on you having the monkeysphere-docs
# repo checked out as a peer of your monkeysphere repo.
releasenote:
	../monkeysphere-docs/utils/build-releasenote

test: test-keytrans test-basic

check: test

test-basic: src/agent-transfer/agent-transfer
	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic

test-keytrans: src/agent-transfer/agent-transfer
	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans

.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test check

=== debian/changelog ===
monkeysphere (0.41-1ubuntu1) bionic; urgency=medium

  * Disable tests, fail to build the package. The tests are better
    executed as autopkgtest. Closes: #841208, #861457, #613678

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 04 Feb 2018 21:20:23 +0000

monkeysphere (0.41-1) unstable; urgency=medium

  * new upstream release
    - pem2openpgp now includes issuer fingerprint subpacket
      in hashed self-sig, more compatible with GnuPG 2.1.16
      (Closes: #846554)
    - avoid blocking for entropy during test suite
      (Closes: #841208)
    - ensure that attempts to fetch primary key fingerprint only fetch
      primary key fingerprint even if subkey fprs are emitted
      (Closes: #846554)
  * convert to debhelper 10
  * wrap-and-sort -ast
  * add netcat-openbsd to Recommends (Closes: #595947)
  * switch Recommends: from cron to cron-daemon (Closes: #842823)
  * drop patches already applied upstream
  * moved debian packaging to collab-maint for better visibility
  * added debian/watch to make lintian happy
  * converted debian/NEWS to not use asterisk-bulleted style
  * use all hardening options during C build

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Dec 2016 22:58:25 -0500

=== debian/control ===
Source: monkeysphere
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 bash (>= 3.2),
 cpio,
 debhelper (>= 10~),
 dpkg-dev (>= 1.17.14),
 gnupg <!nocheck>,
 gnupg-agent <!nocheck>,
 libassuan-dev,
 libcrypt-openssl-rsa-perl <!nocheck>,
 libdigest-sha-perl <!nocheck>,
 libgcrypt20-dev,
 lockfile-progs | procmail <!nocheck>,
 openssh-server <!nocheck>,
 openssl <!nocheck>,
 socat <!nocheck>,
Standards-Version: 3.9.8
Homepage: http://web.monkeysphere.info/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/monkeysphere -b debian
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/monkeysphere

Package: monkeysphere
Architecture: all
Depends:
 adduser,
 gnupg,
 libcrypt-openssl-rsa-perl,
 libdigest-sha-perl,
 lockfile-progs | procmail,
 ${misc:Depends},
Recommends:
 agent-transfer,
 cron-daemon,
 netcat-openbsd | netcat | socat,
 openssh-client,
 ssh-askpass,
Suggests:
 monkeysphere-validation-agent,
Enhances:
 openssh-client,
 openssh-server,
Description: leverage the OpenPGP web of trust for SSH and TLS authentication
 SSH key-based authentication is tried-and-true, but it lacks a true
 Public Key Infrastructure for key certification, revocation and
 expiration.  Monkeysphere is a framework that uses the OpenPGP web of
 trust for these PKI functions.  It can be used in both directions:
 for users to get validated host keys, and for hosts to authenticate
 users.  Current monkeysphere SSH tools are designed to integrate
 with the OpenSSH implementation of the Secure Shell protocol.
 .
 Monkeysphere can also be used by a validation agent to validate TLS
 connections (e.g. https).

Package: agent-transfer
Architecture: any
Depends:
 gnupg-agent (>= 2.1.0),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openssh-client,
 pinentry-curses | pinentry,
Enhances:
 openssh-client,
 openssh-server,
Description: copy a secret key from GnuPG's gpg-agent to OpenSSH's ssh-agent
 agent-transfer is a simple utility to extract a secret key from
 GnuPG's gpg-agent and send it to a running ssh-agent.  This is useful
 for those who prefer the runtime semantics and behavior of OpenSSH's
 ssh-agent, but whose secret keys are held in long-term storage by
 GnuPG's gpg-agent.
 .
 This tool comes from the monkeysphere project.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/monkeysphere/usr/share/doc/monkeysphere/Changelog

override_dh_auto_test:

=== debian/watch ===
version=4

http://archive.monkeysphere.info/debian/pool/@PACKAGE@/m/@PACKAGE@/@PACKAGE@@ANY_VERSION@.orig@ARCHIVE_EXT@

## monkeysphere 0.43

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Makefile for monkeysphere
 
-# © 2008-2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+# © 2008-2019 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 # Licensed under GPL v3 or later
 
 MONKEYSPHERE_VERSION = `head -n1 Changelog | sed 's/.*(\([^-]*\)).*/\1/'`
@@ -30,7 +30,7 @@
 all: src/agent-transfer/agent-transfer $(addprefix replaced/,$(REPLACEMENTS)) $(REPLACED_COMPRESSED_MANPAGES)
 
 src/agent-transfer/agent-transfer: src/agent-transfer/main.c src/agent-transfer/ssh-agent-proto.h
-	gcc -o $@ $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< $(LIBS)
+	$(CC) -o $@ $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< $(LIBS)
 
 debian-package:
 	git buildpackage -uc -us
@@ -38,10 +38,10 @@
 # don't explicitly depend on the tarball, since our tarball
 # (re)generation is not idempotent even when no source changes.
 freebsd-distinfo: 
-	./utils/build-freebsd-distinfo
+	./util/build-freebsd-distinfo
 
 macports-portfile:
-	./utils/build-macports-portfile
+	./util/build-macports-portfile
 
 clean:
 	rm -f src/agent-transfer/agent-transfer
@@ -57,7 +57,7 @@
 	-e 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):'
 
 replaced/%.gz: replaced/%
-	gzip -n $<
+	gzip -f -n $<
 
 # this target is to be called from the tarball, not from the git
 # working dir!
@@ -105,13 +105,16 @@
 releasenote:
 	../monkeysphere-docs/utils/build-releasenote
 
-test: test-keytrans test-basic
+test: test-keytrans test-basic test-ed25519
 
 check: test
 
 test-basic: src/agent-transfer/agent-transfer
 	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic
 
+test-ed25519: src/agent-transfer/agent-transfer
+	MONKEYSPHERE_TEST_NO_EXAMINE=true MONKEYSPHERE_TEST_USE_ED25519=true ./tests/basic
+
 test-keytrans: src/agent-transfer/agent-transfer
 	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans

=== debian/changelog ===
monkeysphere (0.43-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:04:05 +0100

monkeysphere (0.43-3) unstable; urgency=medium

  * fix monkeysphere-host import-key (Closes: #909700)
  * update GnuPG dependency

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 10 May 2019 16:55:04 -0400

monkeysphere (0.43-2) unstable; urgency=medium

  * Autopkgtest should cover Ed25519 as well
  * cherry-pick three upstream testing patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Jan 2019 17:08:16 -0500

monkeysphere (0.43-1) unstable; urgency=medium

  * New upstream release

  [ Sunil Mohan Adapa ]
  * Improvements in TMPDIR handling (Closes: #656750, #911907)
  * Remove shell for monkeysphere user (Closes: #901489)

  [ Daniel Kahn Gillmor ]
  * Avoid paranoid accidental lockout (Closes: #897366)
  * Better error reporting for pem2openpgp (Closes: #906755)
  * Bump standards-version to 4.3.0 (no changes needed)
  * Move to debhelper 12
  * Use https for upstream links
  * Use https for wiki.debian.org
  * d/control: use ${perl:Depends} for monkeysphere
  * d/control: document versioned GnuPG dependency from upstream
  * d/control: explicitly depend on openssh-client for ssh-keygen
  * Note RSA and Ed25519 keys in agent-transfer description
  * Tell debhelper where examples come from
  * Avoid dh_missing reporting Changelog as "not installed"
  * use dh_missing --fail-missing

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 Jan 2019 17:44:36 -0500

monkeysphere (0.42-2) unstable; urgency=medium

  * added cpio as a requirement for the basic autopkgtest
  * gpg is super noisy to stderr -- ignore that noise during
    autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 10:17:55 -0400

monkeysphere (0.42-1) unstable; urgency=medium

  * new upstream bugfix release.

  [ Daniel Kahn Gillmor ]
  * make print_date_from_seconds_since_the_epoch deal better with bad input

  [ Helmut Grohne ]
  * use generic compiler (closes: #883015)

  [ Daniel Kahn Gillmor ]
  * clean up test suite failures when built against newer GnuPG

  [ Clint Adams ]
  * Remove RSAAuthentication from test ssh config (Closes: #902318)

  [ Antoine Beaupré ]
  * fix more gnupg2 colons changes (Closes: #902367)
  * yet more colon fixes that escaped previous inspections
  * write old-style PEM files to unbreak test suite (Closes: #909700)

  [ Clint Adams ]
  * Remove deprecated option from test sshd config (Closes: #902320)

  [ Sunil Mohan Adapa ]
  * tests: Ensure that stale sockets don't fail socat (Closes: #899060)

  [ Daniel Kahn Gillmor ]
  * use --send-keys instead of --send (closes: #908228)
  * prepare new release
  * enable tests to operate on system installation
  * d/copyright: use https for Format:
  * use priority optional instead of extra
  * added autopkgtest
  * override package-contains-documentation-outside-usr-share-doc for
    transitions README.txt
  * install examples in monkeysphere package
  * d/watch: use https
  * packaging handled by pkg-privacy-team (updated uploaders)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Oct 2018 12:32:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: monkeysphere
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jameson Rollins <jrollins@finestructure.net>
+Priority: optional
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders:
+ Antoine Beaupré <anarcat@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+ Jameson Rollins <jrollins@finestructure.net>,
 Build-Depends:
  bash (>= 3.2),
  cpio,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.17.14),
- gnupg <!nocheck>,
+ gnupg (>= 2.1.17) <!nocheck>,
  gnupg-agent <!nocheck>,
  libassuan-dev,
  libcrypt-openssl-rsa-perl <!nocheck>,
@@ -20,25 +21,27 @@
  openssh-server <!nocheck>,
  openssl <!nocheck>,
  socat <!nocheck>,
-Standards-Version: 3.9.8
-Homepage: http://web.monkeysphere.info/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/monkeysphere -b debian
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/monkeysphere
+Standards-Version: 4.3.0
+Homepage: https://web.monkeysphere.info/
+Vcs-Git: https://salsa.debian.org/pkg-privacy-team/monkeysphere.git
+Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/monkeysphere
+Rules-Requires-Root: no
 
 Package: monkeysphere
 Architecture: all
 Depends:
  adduser,
- gnupg,
+ gnupg (>= 2.1.17),
  libcrypt-openssl-rsa-perl,
  libdigest-sha-perl,
  lockfile-progs | procmail,
+ openssh-client,
  ${misc:Depends},
+ ${perl:Depends},
 Recommends:
  agent-transfer,
  cron-daemon,
  netcat-openbsd | netcat | socat,
- openssh-client,
  ssh-askpass,
 Suggests:
  monkeysphere-validation-agent,
@@ -70,10 +73,10 @@
  openssh-client,
  openssh-server,
 Description: copy a secret key from GnuPG's gpg-agent to OpenSSH's ssh-agent
- agent-transfer is a simple utility to extract a secret key from
- GnuPG's gpg-agent and send it to a running ssh-agent.  This is useful
- for those who prefer the runtime semantics and behavior of OpenSSH's
- ssh-agent, but whose secret keys are held in long-term storage by
- GnuPG's gpg-agent.
+ agent-transfer is a simple utility to extract a secret RSA or Ed25519
+ key from GnuPG's gpg-agent and send it to a running ssh-agent.  This
+ is useful for those who prefer the runtime semantics and behavior of
+ OpenSSH's ssh-agent, but whose secret keys are held in long-term
+ storage by GnuPG's gpg-agent.
  .
  This tool comes from the monkeysphere project.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 %:
 	dh $@
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_install:
 	dh_auto_install
 	rm -f $(CURDIR)/debian/monkeysphere/usr/share/doc/monkeysphere/Changelog
-
-override_dh_auto_test:

=== debian/tests/control ===
Test-Command: MONKEYSPHERE_TEST_USE_SYSTEM=true MONKEYSPHERE_TEST_NO_EXAMINE=true tests/keytrans
Depends: @
Restrictions: allow-stderr

Test-Command: MONKEYSPHERE_TEST_USE_SYSTEM=true MONKEYSPHERE_TEST_NO_EXAMINE=true tests/basic
Depends: @, openssh-server, openssl, socat, cpio

Test-Command: MONKEYSPHERE_TEST_USE_SYSTEM=true MONKEYSPHERE_TEST_NO_EXAMINE=true MONKEYSPHERE_TEST_USE_ED25519=true tests/basic
Depends: @, openssh-server, openssl, socat, cpio

=== debian/watch ===
version=4

https://archive.monkeysphere.info/debian/pool/@PACKAGE@/m/@PACKAGE@/@PACKAGE@@ANY_VERSION@.orig@ARCHIVE_EXT@

## monkeysphere 0.44

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,6 @@
 	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 replaced/src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
-	install -m 0755 src/share/checkperms $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0755 src/share/keytrans $(DESTDIR)$(PREFIX)/share/monkeysphere
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh

=== debian/changelog ===
monkeysphere (0.44-1) experimental; urgency=medium

  * new upstream version to experimental
  * avoids use of perl, but still ships perl-based key translation
    utilities for now

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 19 May 2019 19:06:45 -0400
